%define anolis_release 1
Summary: X.Org X11 libxkbfile runtime library
Name: libxkbfile
Version: 1.1.2
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: pkgconfig(kbproto)
BuildRequires: pkgconfig(x11)
BuildRequires: gcc

%description
X.Org X11 libxkbfile runtime library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libxkbfile development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libxkbfile development package

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static
%make_build

%install
%make_install

%files
%license COPYING
%{_libdir}/libxkbfile.so.*

%files doc
%doc ChangeLog README.md

%files devel
%{_includedir}/X11/extensions/*
%{_libdir}/libxkbfile.so
%{_libdir}/pkgconfig/xkbfile.pc

%changelog
* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.1.2-1
- New version 1.1.2

* Fri Nov 18 2022 Funda Wang <fundawang@yeah.net> - 1.1.1-1
- New version 1.1.1

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.0-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.0-1
- Init from upstream version 1.1.0
